;--------------------------------------------------------------------------;
;                        Sample for my UGPLIB/UGPCONV                      ;
;; Copyright (c) 1998 David Kuehling

;; This software is provided 'as-is', without any express or implied
;; warranty. In no event will the authors be held liable for any damages
;; arising from the use of this software.

;; Permission is granted to anyone to use this software for any purpose,
;; including commercial applications, and to alter it and redistribute it
;; freely, subject to the following restrictions:

;; 1. The origin of this software must not be misrepresented; you must not
;;    claim that you wrote the original software. If you use this software
;;    in a product, an acknowledgment in the product documentation would be
;;    appreciated but is not required.
;; 2. Altered source versions must be plainly marked as such, and must not be
;;    misrepresented as being the original software.
;; 3. This notice may not be removed or altered from any source distribution.

; This programm displays a 32 picture animation of a rotating cube, that   ;
; was originally created with POVRAY by Felix Khling.                     ;
;                                                                          ;     
; Picture format:                                                          ;
;   160x120                                                                ;
;   1 plane, (only black&white)                                            ;
;   dithering 3 (huge pattern),                                            ;
;   compressed,                                                            ;
;   xor  (because the background behind the cube allways stays the same)   ;
;                                                                          ;
;--------------------------------------------------------------------------;

        include "ugplib.h"

        XDEF _main
        XDEF _comment

_main:
        lea     Animation(PC),a0
        moveq.w #0,d2
        jsr     ugplib::AutoDisp
        rts

_comment:
        dc.b    "UGPLIB sample 'cube' by D.K."

        dc.w    0  ;align ugp file on even address

Animation:
        INCBIN "d:\fargo\asm\mysource\ugpsamp\cube1.ugp"


        END
